#!/bin/bash
pkgver=1.2.3
pkgrel=1
rm -rf debian/{etc,usr}
mkdir -p debian/etc/xdg/menus/applications-merged
mkdir -p debian/etc/xdg/menus/kde4-applications-merged
mkdir -p debian/usr/share/doc/kmenu-gnome-$pkgver
cp --preserve=timestamps xdg/kmenu-gnome.menu \
debian/etc/xdg/menus/applications-merged
cp --preserve=timestamps xdg/kmenu-gnome.menu \
debian/etc/xdg/menus/kde4-applications-merged
cp --preserve=timestamps ChangeLog COPYING GPL LGPL README \
debian/usr/share/doc/kmenu-gnome-$pkgver
cp -r --preserve=timestamps desktop-directories icons kmenu-gnome \
debian/usr/share
# Dapper:
# mkdir -p debian/etc/xdg/menus/kde-applications-merged
# cp --preserve=timestamps xdg/kmenu-gnome.menu \
# debian/etc/xdg/menus/kde-applications-merged
INSTSIZE=`du -sk --exclude=DEBIAN debian | cut -f1`
sed -i "s/Installed-Size.*/Installed-Size: $INSTSIZE/" debian/DEBIAN/control
find ./debian -type d | xargs chmod 755
dpkg-deb --build debian
mv debian.deb kmenu-gnome_$pkgver-$pkgrel\_all.deb
rm -rf debian/{etc,usr}
